
_SM_poll:

;Compass.c,24 :: 		void SM_poll(){
;Compass.c,25 :: 		switch (SM_state){
	GOTO        L_SM_poll0
;Compass.c,26 :: 		case 0 : Compass_Screen_poll(); break;       // poll function for Screen 1
L_SM_poll2:
	CALL        _Compass_Screen_poll+0, 0
	GOTO        L_SM_poll1
;Compass.c,27 :: 		case 1 : Intro_Screen_poll(); break;         // poll function for Screen 2
L_SM_poll3:
	CALL        _Intro_Screen_poll+0, 0
	GOTO        L_SM_poll1
;Compass.c,28 :: 		case 2 : Cal_Screen_poll(); break;           // poll function for Screen 3
L_SM_poll4:
	CALL        _Cal_Screen_poll+0, 0
	GOTO        L_SM_poll1
;Compass.c,29 :: 		default : SM_state = 0; break;
L_SM_poll5:
	CLRF        _SM_state+0 
	GOTO        L_SM_poll1
;Compass.c,30 :: 		}
L_SM_poll0:
	MOVF        _SM_state+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_SM_poll2
	MOVF        _SM_state+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_SM_poll3
	MOVF        _SM_state+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_SM_poll4
	GOTO        L_SM_poll5
L_SM_poll1:
;Compass.c,31 :: 		}
L_end_SM_poll:
	RETURN      0
; end of _SM_poll

_Move3sec:

;Compass.c,33 :: 		void Move3sec() {
;Compass.c,34 :: 		PWM1_Start();                       // start PWM1
	CALL        _PWM1_Start+0, 0
;Compass.c,35 :: 		PWM2_Start();                       // start PWM2
	CALL        _PWM2_Start+0, 0
;Compass.c,36 :: 		delay_ms(3000);
	MOVLW       244
	MOVWF       R11, 0
	MOVLW       130
	MOVWF       R12, 0
	MOVLW       5
	MOVWF       R13, 0
L_Move3sec6:
	DECFSZ      R13, 1, 1
	BRA         L_Move3sec6
	DECFSZ      R12, 1, 1
	BRA         L_Move3sec6
	DECFSZ      R11, 1, 1
	BRA         L_Move3sec6
;Compass.c,37 :: 		PWM1_Stop();                       // start PWM1
	CALL        _PWM1_Stop+0, 0
;Compass.c,38 :: 		PWM2_Stop();                       // start PWM2
	CALL        _PWM2_Stop+0, 0
;Compass.c,39 :: 		}
L_end_Move3sec:
	RETURN      0
; end of _Move3sec

_main:

;Compass.c,41 :: 		void main() {
;Compass.c,42 :: 		ANSELB = 0;                // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;Compass.c,43 :: 		ANSELC = 0;                // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;Compass.c,44 :: 		TRISB = 0;                 // Configure PORTB as output
	CLRF        TRISB+0 
;Compass.c,45 :: 		LATB = 0;                  // Clear PORTB
	CLRF        LATB+0 
;Compass.c,47 :: 		Lcd_Init();                        // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;Compass.c,49 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Compass.c,50 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;Compass.c,51 :: 		Lcd_Out(1,1,"Calibration.....");                 // // for digonistic
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_Compass+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_Compass+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Compass.c,53 :: 		I2C1_Init(100000);
	MOVLW       160
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;Compass.c,54 :: 		Set_Cal_Consts();
	CALL        _Set_Cal_Consts+0, 0
;Compass.c,55 :: 		delay_ms(50);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
;Compass.c,56 :: 		LSM303DLHC_Init();
	CALL        _LSM303DLHC_Init+0, 0
;Compass.c,57 :: 		SM_state = 1;
	MOVLW       1
	MOVWF       _SM_state+0 
;Compass.c,58 :: 		Lcd_Out(2,1,"Heading=");          // for digonistic
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_Compass+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_Compass+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;Compass.c,59 :: 		while(1){
L_main8:
;Compass.c,60 :: 		SM_poll();
	CALL        _SM_poll+0, 0
;Compass.c,62 :: 		}
	GOTO        L_main8
;Compass.c,63 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
